Package tigase.util

# Enum Class StringUtilities.JUSTIFY

java.lang.Object
java.lang.Enum<StringUtilities.JUSTIFY>
tigase.util.StringUtilities.JUSTIFY

All Implemented Interfaces:
  `Serializable`, `Comparable<StringUtilities.JUSTIFY>`, `Constable`

Enclosing class:
  StringUtilities

public static enum StringUtilities.JUSTIFY extends Enum<StringUtilities.JUSTIFY>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTRE`
  `LEFT`
  `RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StringUtilities.JUSTIFY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StringUtilities.JUSTIFY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final StringUtilities.JUSTIFY LEFT

  - ### CENTRE

    public static final StringUtilities.JUSTIFY CENTRE

  - ### RIGHT

    public static final StringUtilities.JUSTIFY RIGHT

- ## Method Details

  - ### values

    public static StringUtilities.JUSTIFY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StringUtilities.JUSTIFY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null